Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.conversion.Excel2PDFSettingData Class Reference

## Public Member Functions
| Excel2PDFSettingData ()
| Constructor.
| Excel2PDFSettingData (boolean include_doc_props, int quality, boolean ignore_print_area, int scale_type, boolean convert_to_pdfa, boolean disable_vba_code)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getConvert_to_pdfa ()
| Get (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. More...
boolean | getDisable_vba_code ()
| Get a boolean value decide whether to disable the execution of vba code in the Excel document. More...
boolean | getIgnore_print_area ()
| Get a boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file. More...
boolean | getInclude_doc_props ()
| Get a boolean value which indicates whether to include Excel document properties in the converted PDF document. More...
int | getQuality ()
| Get quality for covnerting Excel to PDF. More...
int | getScale_type ()
| Get scale type for the Excel sheet when converting Excel document to PDF file. More...
void | set (boolean include_doc_props, int quality, boolean ignore_print_area, int scale_type, boolean convert_to_pdfa)
| Set value. More...
void | setConvert_to_pdfa (boolean value)
| Set (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. More...
void | setDisable_vba_code (boolean value)
| Set a boolean value decide whether to disable the execution of vba code in the Excel document. More...
void | setIgnore_print_area (boolean value)
| Set a boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file. More...
void | setInclude_doc_props (boolean value)
| Set a boolean value which indicates whether to include Excel document properties in the converted PDF document. More...
void | setQuality (int value)
| Set quality for covnerting Excel to PDF. More...
void | setScale_type (int value)
| Set scale type for the Excel sheet when converting Excel document to PDF file. More...

## Static Public Attributes
static final int | e_ConvertQualityMinimum = 1
| Minimum quality.
static final int | e_ConvertQualityStandard = 0
| Standard quality.
static final int | e_ScaleTypeFitAllColumns = 1
| Fit all columns of one sheet on one page.
static final int | e_ScaleTypeFitAllRows = 2
| Fit all rows of one sheet on one page.
static final int | e_ScaleTypeFitSheet = 3
| Fit a sheet on one page.
static final int | e_ScaleTypeNone = 0
| No scaling.

## Detailed Description

This class represents setting data used for converting Excel to PDF.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.Excel2PDFSettingData | ( | boolean | include_doc_props,
|  | int | quality,
|  | boolean | ignore_print_area,
|  | int | scale_type,
|  | boolean | convert_to_pdfa,
|  | boolean | disable_vba_code
| ) |  |

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Excel document.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.Excel2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getConvert_to_pdfa()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getConvert_to_pdfa | ( |  | ) |

Get (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file.

true means to convert Excel document to a PDF/A file.
false means to convert Excel document to a common file.

Returns
  (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

## ◆ getDisable_vba_code()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getDisable_vba_code | ( |  | ) |

Get a boolean value decide whether to disable the execution of vba code in the Excel document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Returns
  A boolean value decide whether to disable the execution of vba code in the Excel document.

## ◆ getIgnore_print_area()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getIgnore_print_area | ( |  | ) |

Get a boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

true means to ignore any setting of print area in Excel document.
false means to use the setting of print areas in Excel document.

Returns
  A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

## ◆ getInclude_doc_props()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getInclude_doc_props | ( |  | ) |

Get a boolean value which indicates whether to include Excel document properties in the converted PDF document.

true means to include Excel document properties in the converted PDF document.
false means not to include Excel document properties in the converted PDF document.

Returns
  A boolean value which indicates whether to include Excel document properties in the converted PDF document.

## ◆ getQuality()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getQuality | ( |  | ) |

Get quality for covnerting Excel to PDF.

Returns
  Quality for covnerting Excel to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.

## ◆ getScale_type()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.getScale_type | ( |  | ) |

Get scale type for the Excel sheet when converting Excel document to PDF file.

Returns
  Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.

## ◆ set()

void com.foxit.sdk.addon.conversion.Excel2PDFSettingData.set | ( | boolean | include_doc_props,
|  | int | quality,
|  | boolean | ignore_print_area,
|  | int | scale_type,
|  | boolean | convert_to_pdfa
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

Returns
  None.

## ◆ setConvert_to_pdfa()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setConvert_to_pdfa | ( | boolean | value | ) |

Set (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file.

true means to convert Excel document to a PDF/A file.
false means to convert Excel document to a common file.

Parameters

  [in] | value | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

Returns
  None.

## ◆ setDisable_vba_code()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setDisable_vba_code | ( | boolean | value | ) |

Set a boolean value decide whether to disable the execution of vba code in the Excel document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Parameters

  [in] | value | A boolean value decide whether to disable the execution of vba code in the Excel document.

Returns
  None.

## ◆ setIgnore_print_area()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setIgnore_print_area | ( | boolean | value | ) |

Set a boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

true means to ignore any setting of print area in Excel document.
false means to use the setting of print areas in Excel document.

Parameters

  [in] | value | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

Returns
  None.

## ◆ setInclude_doc_props()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setInclude_doc_props | ( | boolean | value | ) |

Set a boolean value which indicates whether to include Excel document properties in the converted PDF document.

true means to include Excel document properties in the converted PDF document.
false means not to include Excel document properties in the converted PDF document.

Parameters

  [in] | value | A boolean value which indicates whether to include Excel document properties in the converted PDF document.

Returns
  None.

## ◆ setQuality()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setQuality | ( | int | value | ) |

Set quality for covnerting Excel to PDF.

Parameters

  [in] | value | Quality for covnerting Excel to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.

Returns
  None.

## ◆ setScale_type()

com.foxit.sdk.addon.conversion.Excel2PDFSettingData.setScale_type | ( | int | value | ) |

Set scale type for the Excel sheet when converting Excel document to PDF file.

Parameters

  [in] | value | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.

Returns
  None.